Bug 502852 - named init script doesn't wait for server terminaton
named init script doesn't wait for server terminaton
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Adam Tkac
BaseOS QE
: EasyFix
Depends On: 455540
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 09:58 EDT by Casey Dahlin
Modified: 2014-06-18 04:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 455540
Environment:
Last Closed: 2009-08-25 13:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2009-05-27 09:58:02 EDT
A customer is witnessing this issue in RHEL 5 as well.

+++ This bug was initially created as a clone of Bug #455540 +++

Description of problem:

It looks like this is was likely addressed in bug 426382, however there is no
fix incorporated into RH 4 (and presumably 5, though I have not verified). If
named is stopped via rndc, it won't exit immediately and as such the 'start' of
a 'restart' will be attempted before the prior instance had completed shutdown.

Version-Release number of selected component (if applicable):

bind-9.2.4-28.0.1.el4

How reproducible:

Get a reasonably loaded bind instance going (~200mb of heap in this case) and
execute a restart via the stock init script. Most of the time the start will
fail due to the daemon still exiting.

A fix as trivial as:

128a129,131
>               while pidofproc named >/dev/null 2>&1; do
>                       sleep 1
>               done
158,159d160
< # wait a couple of seconds for the named to finish closing down
<       sleep 2

...resolves the issue.

--- Additional comment from atkac@redhat.com on 2008-07-16 04:52:56 EDT ---

Right you are. Thanks for your report

--- Additional comment from pm-rhel@redhat.com on 2008-10-31 12:38:28 EDT ---

This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

--- Additional comment from kgraham@valueclick.com on 2009-01-30 16:32:26 EDT ---

re comment 2 -- Applying RHSA-2009:0020 resulted in yet another service outage due to this bug. Could Red Hat Product Management perhaps re-consider the implications of this 3 line patch?

Note You need to log in before you can comment on or make changes to this bug.